## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream has marked all tests as skipped.
%bcond_with     tests

%global         srcname     azure-mgmt-containerregistry

Name:           python-%{srcname}
Version:        10.3.0
Release:        %autorelease
Summary:        Microsoft Azure Container Registry Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch

Epoch:          1


BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Container Registry Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:10.3.0-2
- Rebuilt for Python 3.13

* Wed Mar 06 2024 Jeremy Cline <jeremycline@microsoft.com> - 1:10.3.0-1
- Bump to v10.3.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:10.1.0-3
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:10.1.0-2
- S

* Tue Mar 07 2023 Major Hayden <major@redhat.com> - 1:10.1.0-1
- Update to 10.1.0 rhbz#2176124

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:10.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Sep 07 2022 Major Hayden <major@redhat.com> - 1:10.0.0-1
- Update to 10.0.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:8.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:8.2.0-6
- Add import test

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:8.2.0-5
- Rebuilt for Python 3.11

* Mon Apr 25 2022 Major Hayden <major@mhtx.net> - 1:8.2.0-4
- Disable tests

* Mon Apr 25 2022 Major Hayden <major@mhtx.net> - 1:8.2.0-3
- Change sdk-tools BuildRequires

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:8.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 1:8.2.0-1
- Update to 8.2.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:8.1.0-2
- Move obsoletes into subpackage

* Wed Aug 11 2021 Major Hayden <major@mhtx.net> - 1:8.1.0-1
- Update to 8.1.0; add tests

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> - 1:8.0.0-2
- Update docs files list

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:8.0.0-1
- Add epoch number for 8.0.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 8.1.0-1
- Update to 8.1.0

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> - 8.0.0-1
- Initial import (#1971792)
## END: Generated by rpmautospec
